#include "ex_main.h"

#include <iostream>
using namespace std;

ofstream ex_main::logfile;

ex_main::ex_main (string _file, unsigned long _line, string _message) {
	file = _file;
	line = _line;
	message = _message;
}


void ex_main::log (void) {
	ostream *p_out;
	if (logfile.is_open()) {
		p_out = &logfile;
	}
	else {
		p_out = &cerr;
	}
	(*p_out) << file << "(" << line << "): " << message << "\n";
}

void ex_main::logline (string message) {
	ostream *p_out;
	if (logfile.is_open()) {
		p_out = &logfile;
	}
	else {
		p_out = &cerr;
	}
	(*p_out) << message << "\n";
	p_out->flush();
}

void ex_main::open_logfile (string filename) {
	logfile.open (filename.c_str());
}

void ex_main::close_logfile (void) {
	logfile.close();
}
