#ifndef __JELLO_MONSTER_H
#define __JELLO_MONSTER_H



class jello_monster;

#include <allegro.h>
#include "ex_main.h"
#include "tins_game.h"

class jello_monster
{
public:
	jello_monster (void);
	~jello_monster (void);
	void draw (BITMAP *target, tins_game *game, int _x, int _y, int _w, int _h);
	void tick (unsigned int millis);
	void position (float *px, float *py, float *pz);
	void hit (void);
	bool is_hit (void);
	bool is_dead (void);
	int get_width (void);
	int get_height (void);
	static jello_monster* spawn (void);
	static jello_monster* spawn (float init_x, float minz, float maxz);
	static jello_monster* spawn (float init_x, float init_z);
protected:
	static BITMAP *pmonster;
	static int instances;

	float x, y, z;
	float dx;

	bool am_hit;
	int dead_countdown;
	bool am_dead;
};



#endif