#ifndef __MOLECULE_H
#define __MOLECULE_H



class molecule;

#include <allegro.h>
#include "ex_main.h"
#include "tins_game.h"

class molecule
{
public:
	molecule (void);
	~molecule (void);
	void draw (BITMAP *target, tins_game *game, int _x, int _y, int _w, int _h);
	void tick (unsigned int millis);
	void position (float *px, float *py, float *pz);
	void move_to (float nx, float nz);
	int get_width (void);
	int get_height (void);
protected:
	float x, y, z;
	static int instances;
	static BITMAP *pmolecule;
};



#endif